# Class: SkinRadio

## SkinRadio

#### new SkinRadio($radio, userOptions)

  Skin an HTML input radio element. You can access the skin API in the __skinAPI property of the $radio HTMLElement or its wrapper.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `$radio` | HTMLElement |

  `userOptions`

  Object

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `wrap` | String | <optional> | <span class="rb-skin"></span> |
  `invalidClass` | String | <optional> | invalid |
  `disabledClass` | String | <optional> | disabled |
  `checkedClass` | String | <optional> | checked |

  ##### Example

      // Call with default options:
      skinRadio( $radio, {
       "wrap":  "<span class=\"rb-skin\"></span>",
       "invalidClass": "invalid",
       "disabledClass": "disabled",
       "checkedClass": "checked"
      } );

### Methods

#### check()

  Force the radio button to be check

#### disable()

  Force the radio button to be disable

#### enable()

  Force the radio button to be enable

#### setInvalid()

  Force the state of the radio button to invalid

#### setValid()

  Force the state of the radio button to valid

#### uncheck()

  Force the radio button to be uncheck

#### Search results